Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Serial

Name

### write()

Examples

    // Example by Tom Igoe

    import processing.serial.*;

    // The serial port:
    Serial myPort;

    // List all the available serial ports:
    println(Serial.list());

    // I know that the first port in the serial list on my mac
    // is always my  Keyspan adaptor, so I open Serial.list()[0].
    // Open whatever port is the one you're using.
    myPort = new Serial(this, Serial.list()[0], 9600);

    // Send a capital A out the serial port
    myPort.write(65);

Description | Writes bytes, chars, ints, bytes[], Strings to the serial port

Syntax

    serial.write(data)

Parameters

serial | any variable of type Serial
data | byte, char, int, bytes[], String: data to write

Returns | int
Usage | Web & Application

Updated on June 14, 2010 12:05:25pm EDT